## compare compare |

## Properties

GstBufferCopyFlags | meta | Read / Write
GstCompareMethod | method | Read / Write
gboolean | offset-ts | Read / Write
gdouble | threshold | Read / Write
gboolean | upper | Read / Write

## Types and Values

struct | GstCompare

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstCompare

## Description

## Synopsis

### Element Information

plugin | debugutilsbad
author | Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>
class | Filter/Debug

### Element Pads

name | check
direction | sink
presence | always
details | ANY

name | sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstCompare

    struct GstCompare;

## Property Details

### The `“meta”` property

      “meta”                     GstBufferCopyFlags

Indicates which metadata should be compared.

Flags: Read / Write

Default value: GST_BUFFER_COPY_FLAGS|GST_BUFFER_COPY_TIMESTAMPS|GST_BUFFER_COPY_META|GST_BUFFER_COPY_MEMORY

### The `“method”` property

      “method”                   GstCompareMethod

Method to compare buffer content.

Flags: Read / Write

Default value: Memory

### The `“offset-ts”` property

      “offset-ts”                gboolean

Consider OFFSET and OFFSET_END part of timestamp metadata.

Flags: Read / Write

Default value: FALSE

### The `“threshold”` property

      “threshold”                gdouble

Threshold beyond which to consider content different as determined by content-method.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“upper”` property

      “upper”                    gboolean

Whether threshold value is upper bound or lower bound for difference measure.

Flags: Read / Write

Default value: TRUE